/**
 * Uppgift 2: String reverse + palindromtest.
 * 
 * @author Uno Holmer
 * @version 2015-10-20
 */
public class Uppgift2 {
    
    public static String reverse(String s) {
        if ( s == null )
            return null;
        else if ( s.length() == 0 )
            return "";
        else
            return reverse(s.substring(1)) + s.charAt(0);
    }
       
    public static boolean isPalindrom(String s) {
        if ( s == null )
            return false;   // eller true?
        else {
            String t = s.trim().toLowerCase();
            return t.equals(reverse(t));
        }
    }
   
    public static void main(String[] arg)  {
        System.out.println(isPalindrom(null));          // F
        System.out.println(isPalindrom(""));            // T
        System.out.println(isPalindrom("x"));           // T
        System.out.println(isPalindrom("SirapIpARis")); // T
    }
}











